(export.api_reference)=

# torch.export API Reference

```{eval-rst}
.. automodule:: torch.export

.. autofunction:: torch.export.export

.. autoclass:: torch.export.ExportedProgram
   :members:
   :exclude-members: __init__

.. automodule:: torch.export.dynamic_shapes
   :members: Dim, ShapesCollection, AdditionalInputs, refine_dynamic_shapes_from_suggested_fixes

.. autofunction:: torch.export.save

.. autofunction:: torch.export.load

.. autofunction:: torch.export.pt2_archive._package.package_pt2

.. autofunction:: torch.export.pt2_archive._package.load_pt2

.. autofunction:: torch.export.draft_export

.. automodule:: torch.export.unflatten
    :members:

.. autofunction:: torch.export.register_dataclass

.. automodule:: torch.export.decomp_utils
   :members:
   :ignore-module-all:
   :undoc-members:

.. automodule:: torch.export.experimental
   :members:
   :ignore-module-all:

.. automodule:: torch.export.passes
   :members:

.. automodule:: torch.export.pt2_archive
   :members:
   :ignore-module-all:

.. automodule:: torch.export.pt2_archive.constants
   :members:
   :ignore-module-all:

.. automodule:: torch.export.exported_program
   :members:
   :ignore-module-all:
   :exclude-members: ExportedProgram

.. automodule:: torch.export.custom_ops
   :members:
   :ignore-module-all:

.. automodule:: torch.export.custom_obj
   :members:
   :ignore-module-all:

.. automodule:: torch.export.graph_signature
   :members:
   :ignore-module-all:
   :undoc-members:
```
